/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType } from "igniteui-webcomponents-core";
import { DashboardTile } from "./DashboardTile";
import { DashboardTileCommonFeature } from "./DashboardTileCommonFeature";
import { DataChartCategoryDescriptionModule } from "igniteui-webcomponents-core";
import { DataChartAnnotationDescriptionModule } from "igniteui-webcomponents-core";
import { DataChartScatterDescriptionModule } from "igniteui-webcomponents-core";
import { DataChartShapeDescriptionModule } from "igniteui-webcomponents-core";
import { DataChartFinancialDescriptionModule } from "igniteui-webcomponents-core";
import { DataChartInteractivityDescriptionModule } from "igniteui-webcomponents-core";
import { DataChartPolarDescriptionModule } from "igniteui-webcomponents-core";
import { DataChartRadialDescriptionModule } from "igniteui-webcomponents-core";
import { DataChartToolbarDescriptionModule } from "igniteui-webcomponents-core";
import { DataChartExtendedAxesDescriptionModule } from "igniteui-webcomponents-core";
import { DataChartVerticalCategoryDescriptionModule } from "igniteui-webcomponents-core";
import { DataChartStackedDescriptionModule } from "igniteui-webcomponents-core";
import { DataGridDescriptionModule } from "igniteui-webcomponents-core";
import { CategoryAxisBaseDescriptionMetadata } from "igniteui-webcomponents-core";
import { AxisDescriptionMetadata } from "igniteui-webcomponents-core";
import { NumericAxisBaseDescriptionMetadata } from "igniteui-webcomponents-core";
import { AnchoredCategorySeriesDescriptionMetadata } from "igniteui-webcomponents-core";
import { HorizontalAnchoredCategorySeriesDescriptionMetadata } from "igniteui-webcomponents-core";
import { VerticalAnchoredCategorySeriesDescriptionMetadata } from "igniteui-webcomponents-core";
import { ScatterBaseDescriptionMetadata } from "igniteui-webcomponents-core";
import { RadialBaseDescriptionMetadata } from "igniteui-webcomponents-core";
import { AnchoredRadialSeriesDescriptionMetadata } from "igniteui-webcomponents-core";
import { FinancialSeriesDescriptionMetadata } from "igniteui-webcomponents-core";
import { RangeCategorySeriesDescriptionMetadata } from "igniteui-webcomponents-core";
import { PolarAreaSeriesDescriptionMetadata } from "igniteui-webcomponents-core";
import { FinancialIndicatorDescriptionMetadata } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export let DataChartDashboardTileFeature = /*@__PURE__*/ (() => {
    class DataChartDashboardTileFeature extends Base {
        static register() {
            DataChartDashboardTileFeature.registerCore(DashboardTile.bo.context);
        }
        static registerCore(a) {
            DashboardTileCommonFeature.a(a);
            DataChartCategoryDescriptionModule.register(a);
            DataChartAnnotationDescriptionModule.register(a);
            DataChartScatterDescriptionModule.register(a);
            DataChartShapeDescriptionModule.register(a);
            DataChartFinancialDescriptionModule.register(a);
            DataChartInteractivityDescriptionModule.register(a);
            DataChartPolarDescriptionModule.register(a);
            DataChartRadialDescriptionModule.register(a);
            DataChartToolbarDescriptionModule.register(a);
            DataChartExtendedAxesDescriptionModule.register(a);
            DataChartVerticalCategoryDescriptionModule.register(a);
            DataChartStackedDescriptionModule.register(a);
            DataGridDescriptionModule.register(a);
            CategoryAxisBaseDescriptionMetadata.d(a);
            AxisDescriptionMetadata.d(a);
            NumericAxisBaseDescriptionMetadata.d(a);
            AnchoredCategorySeriesDescriptionMetadata.d(a);
            HorizontalAnchoredCategorySeriesDescriptionMetadata.d(a);
            VerticalAnchoredCategorySeriesDescriptionMetadata.d(a);
            ScatterBaseDescriptionMetadata.d(a);
            RadialBaseDescriptionMetadata.d(a);
            AnchoredRadialSeriesDescriptionMetadata.d(a);
            FinancialSeriesDescriptionMetadata.d(a);
            RangeCategorySeriesDescriptionMetadata.d(a);
            PolarAreaSeriesDescriptionMetadata.d(a);
            FinancialIndicatorDescriptionMetadata.d(a);
        }
    }
    DataChartDashboardTileFeature.$t = /*@__PURE__*/ markType(DataChartDashboardTileFeature, 'DataChartDashboardTileFeature');
    return DataChartDashboardTileFeature;
})();
