/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, String_$type, Number_$type, EnumUtil, markType } from "igniteui-webcomponents-core";
import { Dictionary$2 } from "igniteui-webcomponents-core";
import { DataSeriesAxisType_$type } from "igniteui-webcomponents-core";
import { DataSeriesType_$type } from "igniteui-webcomponents-core";
import { Guid } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export let DataSeriesToDescriptionAdapterResult = /*@__PURE__*/ (() => {
    class DataSeriesToDescriptionAdapterResult extends Base {
        constructor(a) {
            super();
            this.c = null;
            this._content = null;
            this._refNames = null;
            this._refValues = null;
            this._mainRef = null;
            this._descriptionType = null;
            this.f = new Dictionary$2(String_$type, Number_$type, 0);
            this.e = new Dictionary$2(Base.$, String_$type, 0);
            this.c = a;
            this.refNames = new Array(0);
            this.refValues = new Array(0);
        }
        get content() {
            return this._content;
        }
        set content(a) {
            this._content = a;
        }
        get refNames() {
            return this._refNames;
        }
        set refNames(a) {
            this._refNames = a;
        }
        get refValues() {
            return this._refValues;
        }
        set refValues(a) {
            this._refValues = a;
        }
        get mainRef() {
            return this._mainRef;
        }
        set mainRef(a) {
            this._mainRef = a;
        }
        get descriptionType() {
            return this._descriptionType;
        }
        set descriptionType(a) {
            this._descriptionType = a;
        }
        h(a, b, c) {
            let d = (c ? "Vertical" : "") + EnumUtil.getName(DataSeriesAxisType_$type, a) + "_" + (b ? "primary" : "secondary") + "_";
            if (!this.f.containsKey(d)) {
                this.f.item(d, 0);
            }
            let e = this.f.item(d);
            let f = d + "_" + e;
            this.f.item(d, e + 1);
            return f;
        }
        k(a) {
            let b = EnumUtil.getName(DataSeriesType_$type, a) + "_";
            if (!this.f.containsKey(b)) {
                this.f.item(b, 0);
            }
            let c = this.f.item(b);
            let d = b + "_" + c;
            this.f.item(b, c + 1);
            return d;
        }
        m(a) {
            if (a == null) {
                return null;
            }
            if (!this.e.containsKey(a)) {
                this.e.item(a, Guid.newGuid().toString());
                let b = new Array(this.refNames.length + 1);
                let c = new Array(this.refValues.length + 1);
                for (let d = 0; d < this.refNames.length; d++) {
                    b[d] = this.refNames[d];
                }
                for (let e = 0; e < this.refValues.length; e++) {
                    c[e] = this.refValues[e];
                }
                b[b.length - 1] = this.e.item(a);
                c[c.length - 1] = a;
                this.refNames = b;
                this.refValues = c;
            }
            let f = this.e.item(a);
            return f;
        }
        i(a) {
            let b = a.suggestedPrimaryAxis;
            let c = false;
            if (a.suggestedSeries == 3) {
                c = true;
            }
            let d = (c ? "Vertical" : "") + EnumUtil.getName(DataSeriesAxisType_$type, b) + "_" + (true ? "primary" : "secondary") + "_";
            if (!this.f.containsKey(d)) {
                this.f.item(d, 0);
            }
            let e = this.f.item(d);
            if (e > 0) {
                e--;
            }
            let f = d + "_" + e;
            if (this.c.refNamespace != null) {
                f = this.c.refNamespace + "/" + f;
            }
            return f;
        }
        j(a) {
            let b = a.suggestedSecondaryAxis;
            let c = false;
            if (a.suggestedSeries == 3) {
                c = true;
            }
            let d = (c ? "Vertical" : "") + EnumUtil.getName(DataSeriesAxisType_$type, b) + "_" + (false ? "primary" : "secondary") + "_";
            if (!this.f.containsKey(d)) {
                this.f.item(d, 0);
            }
            let e = this.f.item(d);
            if (e > 0) {
                e--;
            }
            let f = d + "_" + e;
            if (this.c.refNamespace != null) {
                f = this.c.refNamespace + "/" + f;
            }
            return f;
        }
    }
    DataSeriesToDescriptionAdapterResult.$t = /*@__PURE__*/ markType(DataSeriesToDescriptionAdapterResult, 'DataSeriesToDescriptionAdapterResult');
    return DataSeriesToDescriptionAdapterResult;
})();
