/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, fromEnum, String_$type, markType } from "igniteui-webcomponents-core";
import { DataSeriesToDescriptionCustomization } from "igniteui-webcomponents-core";
import { List$1 } from "igniteui-webcomponents-core";
import { Dictionary$2 } from "igniteui-webcomponents-core";
import { stringReplace } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export let DataSeriesToDescriptionCustomizations = /*@__PURE__*/ (() => {
    class DataSeriesToDescriptionCustomizations extends Base {
        constructor(a) {
            super();
            this.g = new List$1(String_$type, 0);
            this.e = new Dictionary$2(String_$type, List$1.$.specialize(DataSeriesToDescriptionCustomization.$), 0);
            this.f = new List$1(String_$type, 0);
            this.d = new Dictionary$2(String_$type, Dictionary$2.$.specialize(String_$type, List$1.$.specialize(DataSeriesToDescriptionCustomization.$)), 0);
            this.h = new List$1(DataSeriesToDescriptionCustomizations.$, 0);
            for (let c = 0; c < a.length; c++) {
                let b = a[c];
                this.l(b);
            }
            for (let d of fromEnum(this.g)) {
                let e = this.e.item(d);
                this.k(e);
            }
            for (let f of fromEnum(this.f)) {
                let g = this.d.item(f);
                for (let h of fromEnum(g.keys)) {
                    let i = g.item(h);
                    this.k(i);
                }
            }
        }
        k(a) {
            for (let b of fromEnum(a)) {
                if (b.order != -1) {
                    a.aa((c, d) => {
                        if (c.order < d.order) {
                            return -1;
                        }
                        else if (c.order > d.order) {
                            return 1;
                        }
                        else {
                            return 0;
                        }
                    });
                    return;
                }
            }
        }
        l(a) {
            if (a.matchType == null) {
                return;
            }
            if (a.isCollectionInsertionAtEnd || a.isCollectionInsertionAtIndex || a.isCollectionInsertionAtStart) {
                if (!this.d.containsKey(a.matchType)) {
                    this.d.item(a.matchType, new Dictionary$2(String_$type, List$1.$.specialize(DataSeriesToDescriptionCustomization.$), 0));
                    this.f.add(a.matchType);
                }
                if (!this.d.item(a.matchType).containsKey(a.propertyName)) {
                    this.d.item(a.matchType).item(a.propertyName, new List$1(DataSeriesToDescriptionCustomization.$, 0));
                }
                this.d.item(a.matchType).item(a.propertyName).add(a);
            }
            else {
                if (!this.e.containsKey(a.matchType)) {
                    this.e.item(a.matchType, new List$1(DataSeriesToDescriptionCustomization.$, 0));
                    this.g.add(a.matchType);
                }
                this.e.item(a.matchType).add(a);
            }
        }
        hasCustomizationsFor(a) {
            if (this.e.containsKey(a) || this.d.containsKey(a) || this.e.containsKey(stringReplace(a, "Description", "")) || this.d.containsKey(stringReplace(a, "Description", ""))) {
                return true;
            }
            for (let b = 0; b < this.h.count; b++) {
                if (this.h._inner[b].hasCustomizationsFor(a)) {
                    return true;
                }
            }
            return false;
        }
        getPropertyCustomizations(a) {
            let b = null;
            if (this.e.containsKey(a)) {
                let c = this.e.item(a);
                if (c != null) {
                    if (b == null) {
                        b = new List$1(DataSeriesToDescriptionCustomization.$, 0);
                    }
                    for (let d = 0; d < c.count; d++) {
                        b.add(c._inner[d]);
                    }
                }
            }
            if (this.e.containsKey(stringReplace(a, "Description", ""))) {
                let e = this.e.item(stringReplace(a, "Description", ""));
                if (e != null) {
                    if (b == null) {
                        b = new List$1(DataSeriesToDescriptionCustomization.$, 0);
                    }
                    for (let f = 0; f < e.count; f++) {
                        b.add(e._inner[f]);
                    }
                }
            }
            for (let g = 0; g < this.h.count; g++) {
                let h = this.h._inner[g].getPropertyCustomizations(a);
                if (h != null) {
                    if (b == null) {
                        b = new List$1(DataSeriesToDescriptionCustomization.$, 0);
                    }
                    for (let i = 0; i < h.length; i++) {
                        b.add(h[i]);
                    }
                }
            }
            return b != null ? b.toArray() : null;
        }
        getCollectionModifiers(a) {
            let b = null;
            if (this.d.containsKey(a)) {
                for (let c of fromEnum(this.d.item(a).keys)) {
                    let d = this.d.item(a).item(c);
                    if (b == null) {
                        b = new List$1(DataSeriesToDescriptionCustomization.$, 0);
                    }
                    for (let e = 0; e < d.count; e++) {
                        b.add(d._inner[e]);
                    }
                }
                return b.toArray();
            }
            if (this.d.containsKey(stringReplace(a, "Description", ""))) {
                for (let f of fromEnum(this.d.item(stringReplace(a, "Description", "")).keys)) {
                    let g = this.d.item(stringReplace(a, "Description", "")).item(f);
                    if (b == null) {
                        b = new List$1(DataSeriesToDescriptionCustomization.$, 0);
                    }
                    for (let h = 0; h < g.count; h++) {
                        b.add(g._inner[h]);
                    }
                }
                return b.toArray();
            }
            for (let i = 0; i < this.h.count; i++) {
                let j = this.h._inner[i].getPropertyCustomizations(a);
                if (j != null) {
                    if (b == null) {
                        b = new List$1(DataSeriesToDescriptionCustomization.$, 0);
                    }
                    for (let k = 0; k < j.length; k++) {
                        b.add(j[k]);
                    }
                }
            }
            return null;
        }
        clearOtherCustomizations() {
            this.h.clear();
        }
        addOtherCustomizations(a) {
            this.h.add(a);
        }
    }
    DataSeriesToDescriptionCustomizations.$t = /*@__PURE__*/ markType(DataSeriesToDescriptionCustomizations, 'DataSeriesToDescriptionCustomizations');
    return DataSeriesToDescriptionCustomizations;
})();
