import { DashboardTileChangingContentEventArgs as DashboardTileChangingContentEventArgs_internal } from "./DashboardTileChangingContentEventArgs";
export class IgcDashboardTileChangingContentEventArgs {
    createImplementation() {
        return new DashboardTileChangingContentEventArgs_internal();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    get contentJson() {
        return this.i.contentJson;
    }
    set contentJson(v) {
        this.i.contentJson = v;
    }
}
