import { __extends } from "tslib";
import { IgCollection } from "igniteui-webcomponents-core";
import { markType } from "igniteui-webcomponents-core";
import { SyncableObservableCollection$2 } from "igniteui-webcomponents-core";
import { DashboardTileCustomization as DashboardTileCustomization_internal } from './DashboardTileCustomization';
import { IgcDashboardTileCustomizationComponent as IgcDashboardTileCustomizationComponent } from './igc-dashboard-tile-customization-component';
var IgcDashboardTileCustomizationCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcDashboardTileCustomizationCollection, _super);
    function IgcDashboardTileCustomizationCollection(list) {
        var _this = _super.call(this) || this;
        if (!IgcDashboardTileCustomizationComponent.$type) {
            IgcDashboardTileCustomizationComponent.$type = markType(IgcDashboardTileCustomizationComponent, "IgcDashboardTileCustomizationComponent");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgcDashboardTileCustomizationCollection.prototype._createInnerColl = function () {
        if (!IgcDashboardTileCustomizationComponent.$type) {
            IgcDashboardTileCustomizationComponent.$type = markType(IgcDashboardTileCustomizationComponent, "IgcDashboardTileCustomizationComponent");
        }
        var coll = new SyncableObservableCollection$2(IgcDashboardTileCustomizationComponent.$type, DashboardTileCustomization_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = new IgcDashboardTileCustomizationComponent();
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    };
    return IgcDashboardTileCustomizationCollection;
}(IgCollection));
export { IgcDashboardTileCustomizationCollection };
