import { IgcHTMLElement } from "igniteui-webcomponents-core";
import { DashboardTileCustomization } from "./DashboardTileCustomization";
export declare class IgcDashboardTileCustomizationComponent extends IgcHTMLElement {
    protected createImplementation(): DashboardTileCustomization;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): DashboardTileCustomization; /**
                                 * @hidden
                                 */
    static _createFromInternal(internal: any): IgcDashboardTileCustomizationComponent;
    private onImplementationCreated;
    constructor();
    private _settingAttributes;
    protected _attached: boolean;
    private _queuedSetAttributes;
    protected _enqueueSetAttribute(attrName: string, attrValue: string): void;
    protected _flushQueuedAttributes(): void;
    protected _a(attrName: string, attrValue: any): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    private static _observedAttributesIgcDashboardTileCustomizationComponent;
    static get observedAttributes(): string[];
    private _updatingFromAttribute;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    get matchType(): string;
    set matchType(v: string);
    get propertyName(): string;
    set propertyName(v: string);
    get propertyValue(): any;
    set propertyValue(v: any);
    get isCollectionInsertionAtEnd(): boolean;
    set isCollectionInsertionAtEnd(v: boolean);
    get isCollectionInsertionAtStart(): boolean;
    set isCollectionInsertionAtStart(v: boolean);
    get isCollectionInsertionAtIndex(): boolean;
    set isCollectionInsertionAtIndex(v: boolean);
    get isCollectionRemovaltIndex(): boolean;
    set isCollectionRemovaltIndex(v: boolean);
    get collectionIndex(): number;
    set collectionIndex(v: number);
    get order(): number;
    set order(v: number);
    get matchParentIndex(): number;
    set matchParentIndex(v: number);
    findByName(name: string): any;
    protected __p: string;
    protected _hasUserValues: Set<string>;
    protected get hasUserValues(): Set<string>;
    protected __m(propertyName: string): void;
    protected _stylingContainer: any;
    protected _stylingParent: any;
    protected _inStyling: boolean;
    protected _styling(container: any, component: any, parent?: any): void;
}
