import { IgcDashboardTileSummaryDescription } from "./igc-dashboard-tile-summary-description";
import { DashboardTileSummaryDescriptionCollection as DashboardTileSummaryDescriptionCollection_internal } from "./DashboardTileSummaryDescriptionCollection";
export declare class IgcDashboardTileSummaryDescriptionCollection {
    protected createImplementation(): DashboardTileSummaryDescriptionCollection_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): DashboardTileSummaryDescriptionCollection_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets or sets whether this collection should detach the sync when the target collection changes.
    */
    get shouldDetachOnTargetChange(): boolean;
    set shouldDetachOnTargetChange(v: boolean);
    findByName(name: string): any;
    add(item: IgcDashboardTileSummaryDescription): boolean;
    insert(index: number, item: IgcDashboardTileSummaryDescription): void;
    clear(): void;
    indexOf(item: IgcDashboardTileSummaryDescription): number;
    remove(item: IgcDashboardTileSummaryDescription): boolean;
    removeAt(index: number): IgcDashboardTileSummaryDescription;
}
