# Ignite UI for WebComponents Dashboards - from Infragistics

[Ignite UI for WebComponents](https://www.infragistics.com/products/ignite-ui-webcomponents) is a complete set of Material-based UI Widgets, Components & Sketch UI kits and supporting directives for [WebComponents](https://www.webcomponents.org/) by Infragistics. Ignite UI for WebComponents is designed to enable developers to build the most modern, high-performance HTML5 & JavaScript apps for modern desktop browsers, mobile experiences and progressive web apps (PWA’s) targeting the browsers web components APIs.

This package provides the dashboard components for Ignite UI for WebComponents such as [DashboardTile](https://www.infragistics.com/products/ignite-ui-web-components/web-components/components/components/dashboards/dashboardtile) component.


## NPM Package

You can include Ignite UI for WebComponents Dashboards in your project using this `npm` command:

`npm install --save igniteui-webcomponents-dashboards igniteui-webcomponents-core igniteui-webcomponents-charts igniteui-webcomponents-layouts igniteui-webcomponents-grids igniteui-webcomponents-maps igniteui-webcomponents-gauges igniteui-webcomponents-inputs`

## License
This is a commercial product, requiring a valid paid-for license for use. This license details can by found [here](http://www.infragistics.com/legal/ultimate/license/)

To acquire a license for usage, please register for a trial and acquire a license at [Infragistics.com](https://www.infragistics.com).

© Copyright 2024 Infragistics. All Rights Reserved. The Infragistics Ultimate license & copyright applies to this distribution. For information on that license, please go to our website [here](https://www.infragistics.com/legal/license).
