/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, String_$type, Number_$type, EnumUtil, markType } from "igniteui-webcomponents-core";
import { Dictionary$2 } from "igniteui-webcomponents-core";
import { DataSeriesAxisType_$type } from "igniteui-webcomponents-core";
import { DataSeriesType_$type } from "igniteui-webcomponents-core";
import { Guid } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
var DataSeriesToDescriptionAdapterResult = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(DataSeriesToDescriptionAdapterResult, _super);
    function DataSeriesToDescriptionAdapterResult(a) {
        var _this = _super.call(this) || this;
        _this.c = null;
        _this._content = null;
        _this._refNames = null;
        _this._refValues = null;
        _this._mainRef = null;
        _this._descriptionType = null;
        _this.f = new Dictionary$2(String_$type, Number_$type, 0);
        _this.e = new Dictionary$2(Base.$, String_$type, 0);
        _this.c = a;
        _this.refNames = new Array(0);
        _this.refValues = new Array(0);
        return _this;
    }
    Object.defineProperty(DataSeriesToDescriptionAdapterResult.prototype, "content", {
        get: function () {
            return this._content;
        },
        set: function (a) {
            this._content = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataSeriesToDescriptionAdapterResult.prototype, "refNames", {
        get: function () {
            return this._refNames;
        },
        set: function (a) {
            this._refNames = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataSeriesToDescriptionAdapterResult.prototype, "refValues", {
        get: function () {
            return this._refValues;
        },
        set: function (a) {
            this._refValues = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataSeriesToDescriptionAdapterResult.prototype, "mainRef", {
        get: function () {
            return this._mainRef;
        },
        set: function (a) {
            this._mainRef = a;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(DataSeriesToDescriptionAdapterResult.prototype, "descriptionType", {
        get: function () {
            return this._descriptionType;
        },
        set: function (a) {
            this._descriptionType = a;
        },
        enumerable: false,
        configurable: true
    });
    DataSeriesToDescriptionAdapterResult.prototype.h = function (a, b, c) {
        var d = (c ? "Vertical" : "") + EnumUtil.getName(DataSeriesAxisType_$type, a) + "_" + (b ? "primary" : "secondary") + "_";
        if (!this.f.containsKey(d)) {
            this.f.item(d, 0);
        }
        var e = this.f.item(d);
        var f = d + "_" + e;
        this.f.item(d, e + 1);
        return f;
    };
    DataSeriesToDescriptionAdapterResult.prototype.k = function (a) {
        var b = EnumUtil.getName(DataSeriesType_$type, a) + "_";
        if (!this.f.containsKey(b)) {
            this.f.item(b, 0);
        }
        var c = this.f.item(b);
        var d = b + "_" + c;
        this.f.item(b, c + 1);
        return d;
    };
    DataSeriesToDescriptionAdapterResult.prototype.m = function (a) {
        if (a == null) {
            return null;
        }
        if (!this.e.containsKey(a)) {
            this.e.item(a, Guid.newGuid().toString());
            var b = new Array(this.refNames.length + 1);
            var c = new Array(this.refValues.length + 1);
            for (var d = 0; d < this.refNames.length; d++) {
                b[d] = this.refNames[d];
            }
            for (var e = 0; e < this.refValues.length; e++) {
                c[e] = this.refValues[e];
            }
            b[b.length - 1] = this.e.item(a);
            c[c.length - 1] = a;
            this.refNames = b;
            this.refValues = c;
        }
        var f = this.e.item(a);
        return f;
    };
    DataSeriesToDescriptionAdapterResult.prototype.i = function (a) {
        var b = a.suggestedPrimaryAxis;
        var c = false;
        if (a.suggestedSeries == 3) {
            c = true;
        }
        var d = (c ? "Vertical" : "") + EnumUtil.getName(DataSeriesAxisType_$type, b) + "_" + (true ? "primary" : "secondary") + "_";
        if (!this.f.containsKey(d)) {
            this.f.item(d, 0);
        }
        var e = this.f.item(d);
        if (e > 0) {
            e--;
        }
        var f = d + "_" + e;
        if (this.c.refNamespace != null) {
            f = this.c.refNamespace + "/" + f;
        }
        return f;
    };
    DataSeriesToDescriptionAdapterResult.prototype.j = function (a) {
        var b = a.suggestedSecondaryAxis;
        var c = false;
        if (a.suggestedSeries == 3) {
            c = true;
        }
        var d = (c ? "Vertical" : "") + EnumUtil.getName(DataSeriesAxisType_$type, b) + "_" + (false ? "primary" : "secondary") + "_";
        if (!this.f.containsKey(d)) {
            this.f.item(d, 0);
        }
        var e = this.f.item(d);
        if (e > 0) {
            e--;
        }
        var f = d + "_" + e;
        if (this.c.refNamespace != null) {
            f = this.c.refNamespace + "/" + f;
        }
        return f;
    };
    DataSeriesToDescriptionAdapterResult.$t = markType(DataSeriesToDescriptionAdapterResult, 'DataSeriesToDescriptionAdapterResult');
    return DataSeriesToDescriptionAdapterResult;
}(Base));
export { DataSeriesToDescriptionAdapterResult };
