import { __extends } from "tslib";
import { IgcDashboardTileSortDescription } from "./igc-dashboard-tile-sort-description";
import { DashboardTileGroupDescription as DashboardTileGroupDescription_internal } from "./DashboardTileGroupDescription";
/**
 * Represents an element in the current grouping applied to a data source or provider. Changes to this object are not observed or expected after it is initially assigned to a collection.
*/
var IgcDashboardTileGroupDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgcDashboardTileGroupDescription, _super);
    function IgcDashboardTileGroupDescription() {
        return _super.call(this) || this;
    }
    IgcDashboardTileGroupDescription.prototype.createImplementation = function () {
        return new DashboardTileGroupDescription_internal(0);
    };
    Object.defineProperty(IgcDashboardTileGroupDescription.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    return IgcDashboardTileGroupDescription;
}(IgcDashboardTileSortDescription));
export { IgcDashboardTileGroupDescription };
