import { IgcDashboardTileGroupDescription } from "./igc-dashboard-tile-group-description";
import { DashboardTileGroupDescriptionCollection as DashboardTileGroupDescriptionCollection_internal } from "./DashboardTileGroupDescriptionCollection";
/**
 * Represents a collection of grouping elements that are applied to a data source or provider.
*/
export declare class IgcDashboardTileGroupDescriptionCollection {
    protected createImplementation(): DashboardTileGroupDescriptionCollection_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): DashboardTileGroupDescriptionCollection_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    findByName(name: string): any;
    add(item: IgcDashboardTileGroupDescription): boolean;
    insert(index: number, item: IgcDashboardTileGroupDescription): void;
    clear(): void;
    indexOf(item: IgcDashboardTileGroupDescription): number;
    remove(item: IgcDashboardTileGroupDescription): boolean;
    removeAt(index: number): IgcDashboardTileGroupDescription;
}
